<!DOCTYPE html>
<html>
<head>
    <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=emulateIE7" />
    <title>Coverage for src/onaptests/actions/onboard.py: 100%</title>
    <link rel="stylesheet" href="style.css" type="text/css">
    <script type="text/javascript" src="jquery.min.js"></script>
    <script type="text/javascript" src="jquery.hotkeys.js"></script>
    <script type="text/javascript" src="jquery.isonscreen.js"></script>
    <script type="text/javascript" src="coverage_html.js"></script>
    <script type="text/javascript">
        jQuery(document).ready(coverage.pyfile_ready);
    </script>
</head>
<body class="pyfile">
<div id="header">
    <div class="content">
        <h1>Coverage for <b>src/onaptests/actions/onboard.py</b> :
            <span class="pc_cov">100%</span>
        </h1>
        <img id="keyboard_icon" src="keybd_closed.png" alt="Show keyboard shortcuts" />
        <h2 class="stats">
            43 statements &nbsp;
            <span class="run shortkey_r button_toggle_run">43 run</span>
            <span class="mis show_mis shortkey_m button_toggle_mis">0 missing</span>
            <span class="exc show_exc shortkey_x button_toggle_exc">0 excluded</span>
        </h2>
    </div>
</div>
<div class="help_panel">
    <img id="panel_icon" src="keybd_open.png" alt="Hide keyboard shortcuts" />
    <p class="legend">Hot-keys on this page</p>
    <div>
    <p class="keyhelp">
        <span class="key">r</span>
        <span class="key">m</span>
        <span class="key">x</span>
        <span class="key">p</span> &nbsp; toggle line displays
    </p>
    <p class="keyhelp">
        <span class="key">j</span>
        <span class="key">k</span> &nbsp; next/prev highlighted chunk
    </p>
    <p class="keyhelp">
        <span class="key">0</span> &nbsp; (zero) top of page
    </p>
    <p class="keyhelp">
        <span class="key">1</span> &nbsp; (one) first highlighted chunk
    </p>
    </div>
</div>
<div id="source">
    <p id="t1" class="pln"><span class="n"><a href="#t1">1</a></span><span class="t"><span class="com">#!/usr/bin/python</span>&nbsp;</span><span class="r"></span></p>
    <p id="t2" class="pln"><span class="n"><a href="#t2">2</a></span><span class="t"><span class="com">#</span>&nbsp;</span><span class="r"></span></p>
    <p id="t3" class="pln"><span class="n"><a href="#t3">3</a></span><span class="t"><span class="com"># This program and the accompanying materials</span>&nbsp;</span><span class="r"></span></p>
    <p id="t4" class="pln"><span class="n"><a href="#t4">4</a></span><span class="t"><span class="com"># are made available under the terms of the Apache License, Version 2.0</span>&nbsp;</span><span class="r"></span></p>
    <p id="t5" class="pln"><span class="n"><a href="#t5">5</a></span><span class="t"><span class="com"># which accompanies this distribution, and is available at</span>&nbsp;</span><span class="r"></span></p>
    <p id="t6" class="pln"><span class="n"><a href="#t6">6</a></span><span class="t"><span class="com">#</span>&nbsp;</span><span class="r"></span></p>
    <p id="t7" class="pln"><span class="n"><a href="#t7">7</a></span><span class="t"><span class="com"># http://www.apache.org/licenses/LICENSE-2.0</span>&nbsp;</span><span class="r"></span></p>
    <p id="t8" class="pln"><span class="n"><a href="#t8">8</a></span><span class="t"><span class="com">#</span>&nbsp;</span><span class="r"></span></p>
    <p id="t9" class="pln"><span class="n"><a href="#t9">9</a></span><span class="t"><span class="com">#  pylint: disable=missing-docstring</span>&nbsp;</span><span class="r"></span></p>
    <p id="t10" class="pln"><span class="n"><a href="#t10">10</a></span><span class="t"><span class="com">#  pylint: disable=too-many-branches</span>&nbsp;</span><span class="r"></span></p>
    <p id="t11" class="pln"><span class="n"><a href="#t11">11</a></span><span class="t"><span class="com">#  pylint: disable=too-many-statements</span>&nbsp;</span><span class="r"></span></p>
    <p id="t12" class="pln"><span class="n"><a href="#t12">12</a></span><span class="t"><span class="com">#  pylint: disable=too-many-instance-attributes</span>&nbsp;</span><span class="r"></span></p>
    <p id="t13" class="pln"><span class="n"><a href="#t13">13</a></span><span class="t"><span class="com">#  pylint: disable=invalid-name</span>&nbsp;</span><span class="r"></span></p>
    <p id="t14" class="run"><span class="n"><a href="#t14">14</a></span><span class="t"><span class="str">"""Onboard class."""</span>&nbsp;</span><span class="r"></span></p>
    <p id="t15" class="run"><span class="n"><a href="#t15">15</a></span><span class="t"><span class="key">import</span> <span class="nam">copy</span>&nbsp;</span><span class="r"></span></p>
    <p id="t16" class="run"><span class="n"><a href="#t16">16</a></span><span class="t"><span class="key">import</span> <span class="nam">os</span>&nbsp;</span><span class="r"></span></p>
    <p id="t17" class="pln"><span class="n"><a href="#t17">17</a></span><span class="t">&nbsp;</span><span class="r"></span></p>
    <p id="t18" class="run"><span class="n"><a href="#t18">18</a></span><span class="t"><span class="key">from</span> <span class="nam">onapsdk</span><span class="op">.</span><span class="nam">sdc</span><span class="op">.</span><span class="nam">service</span> <span class="key">import</span> <span class="nam">Service</span>&nbsp;</span><span class="r"></span></p>
    <p id="t19" class="run"><span class="n"><a href="#t19">19</a></span><span class="t"><span class="key">from</span> <span class="nam">onapsdk</span><span class="op">.</span><span class="nam">sdc</span><span class="op">.</span><span class="nam">vendor</span> <span class="key">import</span> <span class="nam">Vendor</span>&nbsp;</span><span class="r"></span></p>
    <p id="t20" class="run"><span class="n"><a href="#t20">20</a></span><span class="t"><span class="key">from</span> <span class="nam">onapsdk</span><span class="op">.</span><span class="nam">sdc</span><span class="op">.</span><span class="nam">vf</span> <span class="key">import</span> <span class="nam">Vf</span>&nbsp;</span><span class="r"></span></p>
    <p id="t21" class="run"><span class="n"><a href="#t21">21</a></span><span class="t"><span class="key">from</span> <span class="nam">onapsdk</span><span class="op">.</span><span class="nam">sdc</span><span class="op">.</span><span class="nam">vsp</span> <span class="key">import</span> <span class="nam">Vsp</span>&nbsp;</span><span class="r"></span></p>
    <p id="t22" class="run"><span class="n"><a href="#t22">22</a></span><span class="t"><span class="key">from</span> <span class="nam">onapsdk</span><span class="op">.</span><span class="nam">configuration</span> <span class="key">import</span> <span class="nam">settings</span>&nbsp;</span><span class="r"></span></p>
    <p id="t23" class="pln"><span class="n"><a href="#t23">23</a></span><span class="t">&nbsp;</span><span class="r"></span></p>
    <p id="t24" class="run"><span class="n"><a href="#t24">24</a></span><span class="t"><span class="key">from</span> <span class="nam">onaptests</span><span class="op">.</span><span class="nam">actions</span><span class="op">.</span><span class="nam">common</span> <span class="key">import</span> <span class="nam">Common</span>&nbsp;</span><span class="r"></span></p>
    <p id="t25" class="pln"><span class="n"><a href="#t25">25</a></span><span class="t">&nbsp;</span><span class="r"></span></p>
    <p id="t26" class="pln"><span class="n"><a href="#t26">26</a></span><span class="t"><span class="com"># PROXY = onap_utils.get_config("general.proxy")</span>&nbsp;</span><span class="r"></span></p>
    <p id="t27" class="pln"><span class="n"><a href="#t27">27</a></span><span class="t">&nbsp;</span><span class="r"></span></p>
    <p id="t28" class="pln"><span class="n"><a href="#t28">28</a></span><span class="t">&nbsp;</span><span class="r"></span></p>
    <p id="t29" class="run"><span class="n"><a href="#t29">29</a></span><span class="t"><span class="key">class</span> <span class="nam">Onboard</span><span class="op">(</span><span class="nam">Common</span><span class="op">)</span><span class="op">:</span>&nbsp;</span><span class="r"></span></p>
    <p id="t30" class="pln"><span class="n"><a href="#t30">30</a></span><span class="t">    <span class="str">"""Onboard class to perform SDC operations."""</span>&nbsp;</span><span class="r"></span></p>
    <p id="t31" class="pln"><span class="n"><a href="#t31">31</a></span><span class="t">&nbsp;</span><span class="r"></span></p>
    <p id="t32" class="run"><span class="n"><a href="#t32">32</a></span><span class="t">    <span class="key">def</span> <span class="nam">__init__</span><span class="op">(</span><span class="nam">self</span><span class="op">,</span> <span class="op">**</span><span class="nam">kwargs</span><span class="op">)</span><span class="op">:</span>&nbsp;</span><span class="r"></span></p>
    <p id="t33" class="pln"><span class="n"><a href="#t33">33</a></span><span class="t">        <span class="str">"""Initialize Onboard object."""</span>&nbsp;</span><span class="r"></span></p>
    <p id="t34" class="run"><span class="n"><a href="#t34">34</a></span><span class="t">        <span class="nam">super</span><span class="op">(</span><span class="op">)</span><span class="op">.</span><span class="nam">__init__</span><span class="op">(</span><span class="op">)</span>&nbsp;</span><span class="r"></span></p>
    <p id="t35" class="run"><span class="n"><a href="#t35">35</a></span><span class="t">        <span class="key">if</span> <span class="str">"service_name"</span> <span class="key">in</span> <span class="nam">kwargs</span><span class="op">:</span>&nbsp;</span><span class="r"></span></p>
    <p id="t36" class="run"><span class="n"><a href="#t36">36</a></span><span class="t">            <span class="nam">self</span><span class="op">.</span><span class="nam">service_name</span> <span class="op">=</span> <span class="nam">kwargs</span><span class="op">[</span><span class="str">'service_name'</span><span class="op">]</span>&nbsp;</span><span class="r"></span></p>
    <p id="t37" class="run"><span class="n"><a href="#t37">37</a></span><span class="t">            <span class="nam">self</span><span class="op">.</span><span class="nam">vsp_name</span> <span class="op">=</span> <span class="nam">self</span><span class="op">.</span><span class="nam">service_name</span> <span class="op">+</span> <span class="str">"VSP"</span>&nbsp;</span><span class="r"></span></p>
    <p id="t38" class="run"><span class="n"><a href="#t38">38</a></span><span class="t">            <span class="nam">self</span><span class="op">.</span><span class="nam">vf_name</span> <span class="op">=</span> <span class="nam">self</span><span class="op">.</span><span class="nam">service_name</span> <span class="op">+</span> <span class="str">"_VF"</span>&nbsp;</span><span class="r"></span></p>
    <p id="t39" class="run"><span class="n"><a href="#t39">39</a></span><span class="t">            <span class="nam">self</span><span class="op">.</span><span class="nam">vsp_list</span> <span class="op">=</span> <span class="op">[</span><span class="op">]</span>&nbsp;</span><span class="r"></span></p>
    <p id="t40" class="run"><span class="n"><a href="#t40">40</a></span><span class="t">            <span class="nam">self</span><span class="op">.</span><span class="nam">vf_list</span> <span class="op">=</span> <span class="op">[</span><span class="op">]</span>&nbsp;</span><span class="r"></span></p>
    <p id="t41" class="pln"><span class="n"><a href="#t41">41</a></span><span class="t">        <span class="key">else</span><span class="op">:</span>&nbsp;</span><span class="r"></span></p>
    <p id="t42" class="run"><span class="n"><a href="#t42">42</a></span><span class="t">            <span class="key">raise</span> <span class="nam">ValueError</span><span class="op">(</span><span class="str">"Service Name to define"</span><span class="op">)</span>&nbsp;</span><span class="r"></span></p>
    <p id="t43" class="pln"><span class="n"><a href="#t43">43</a></span><span class="t">&nbsp;</span><span class="r"></span></p>
    <p id="t44" class="run"><span class="n"><a href="#t44">44</a></span><span class="t">    <span class="key">def</span> <span class="nam">onboard_vsp</span><span class="op">(</span><span class="nam">self</span><span class="op">,</span> <span class="nam">vendor</span><span class="op">)</span><span class="op">:</span>&nbsp;</span><span class="r"></span></p>
    <p id="t45" class="pln"><span class="n"><a href="#t45">45</a></span><span class="t">        <span class="str">"""Onboard VSP."""</span>&nbsp;</span><span class="r"></span></p>
    <p id="t46" class="run"><span class="n"><a href="#t46">46</a></span><span class="t">        <span class="nam">service_params</span> <span class="op">=</span> <span class="nam">self</span><span class="op">.</span><span class="nam">get_service_custom_config</span><span class="op">(</span><span class="nam">self</span><span class="op">.</span><span class="nam">service_name</span><span class="op">)</span>&nbsp;</span><span class="r"></span></p>
    <p id="t47" class="run"><span class="n"><a href="#t47">47</a></span><span class="t">        <span class="key">if</span> <span class="str">"vnfs"</span> <span class="key">in</span> <span class="nam">service_params</span><span class="op">:</span>&nbsp;</span><span class="r"></span></p>
    <p id="t48" class="run"><span class="n"><a href="#t48">48</a></span><span class="t">            <span class="key">for</span> <span class="nam">vnf</span> <span class="key">in</span> <span class="nam">service_params</span><span class="op">[</span><span class="str">'vnfs'</span><span class="op">]</span><span class="op">:</span>&nbsp;</span><span class="r"></span></p>
    <p id="t49" class="run"><span class="n"><a href="#t49">49</a></span><span class="t">                <span class="nam">local_path</span> <span class="op">=</span> <span class="nam">os</span><span class="op">.</span><span class="nam">path</span><span class="op">.</span><span class="nam">dirname</span><span class="op">(</span><span class="nam">os</span><span class="op">.</span><span class="nam">path</span><span class="op">.</span><span class="nam">abspath</span><span class="op">(</span><span class="nam">__file__</span><span class="op">)</span><span class="op">)</span>&nbsp;</span><span class="r"></span></p>
    <p id="t50" class="run"><span class="n"><a href="#t50">50</a></span><span class="t">                <span class="nam">vsp_filepath</span> <span class="op">=</span> <span class="nam">local_path</span><span class="op">.</span><span class="nam">replace</span><span class="op">(</span><span class="str">"src/onaptests/actions"</span><span class="op">,</span>&nbsp;</span><span class="r"></span></p>
    <p id="t51" class="pln"><span class="n"><a href="#t51">51</a></span><span class="t">                                                  <span class="str">"templates/heat_files/"</span> <span class="op">+</span>&nbsp;</span><span class="r"></span></p>
    <p id="t52" class="pln"><span class="n"><a href="#t52">52</a></span><span class="t">                                                  <span class="nam">vnf</span><span class="op">[</span><span class="str">'heat_files_to_upload'</span><span class="op">]</span><span class="op">)</span>&nbsp;</span><span class="r"></span></p>
    <p id="t53" class="run"><span class="n"><a href="#t53">53</a></span><span class="t">                <span class="nam">vsp</span> <span class="op">=</span> <span class="nam">Vsp</span><span class="op">(</span><span class="nam">name</span><span class="op">=</span><span class="nam">vnf</span><span class="op">[</span><span class="str">'vnf_name'</span><span class="op">]</span> <span class="op">+</span> <span class="str">"VSP"</span><span class="op">,</span>&nbsp;</span><span class="r"></span></p>
    <p id="t54" class="pln"><span class="n"><a href="#t54">54</a></span><span class="t">                          <span class="nam">vendor</span><span class="op">=</span><span class="nam">vendor</span><span class="op">,</span>&nbsp;</span><span class="r"></span></p>
    <p id="t55" class="pln"><span class="n"><a href="#t55">55</a></span><span class="t">                          <span class="nam">package</span><span class="op">=</span><span class="nam">open</span><span class="op">(</span><span class="nam">vsp_filepath</span><span class="op">,</span> <span class="str">"rb"</span><span class="op">)</span><span class="op">)</span>&nbsp;</span><span class="r"></span></p>
    <p id="t56" class="run"><span class="n"><a href="#t56">56</a></span><span class="t">                <span class="nam">vsp</span><span class="op">.</span><span class="nam">onboard</span><span class="op">(</span><span class="op">)</span>&nbsp;</span><span class="r"></span></p>
    <p id="t57" class="run"><span class="n"><a href="#t57">57</a></span><span class="t">                <span class="nam">self</span><span class="op">.</span><span class="nam">vsp_list</span><span class="op">.</span><span class="nam">append</span><span class="op">(</span><span class="nam">copy</span><span class="op">.</span><span class="nam">copy</span><span class="op">(</span><span class="nam">vsp</span><span class="op">)</span><span class="op">)</span>&nbsp;</span><span class="r"></span></p>
    <p id="t58" class="pln"><span class="n"><a href="#t58">58</a></span><span class="t">&nbsp;</span><span class="r"></span></p>
    <p id="t59" class="run"><span class="n"><a href="#t59">59</a></span><span class="t">    <span class="key">def</span> <span class="nam">onboard_vf</span><span class="op">(</span><span class="nam">self</span><span class="op">)</span><span class="op">:</span>&nbsp;</span><span class="r"></span></p>
    <p id="t60" class="pln"><span class="n"><a href="#t60">60</a></span><span class="t">        <span class="str">"""Onboard VF."""</span>&nbsp;</span><span class="r"></span></p>
    <p id="t61" class="run"><span class="n"><a href="#t61">61</a></span><span class="t">        <span class="nam">service_params</span> <span class="op">=</span> <span class="nam">self</span><span class="op">.</span><span class="nam">get_service_custom_config</span><span class="op">(</span>&nbsp;</span><span class="r"></span></p>
    <p id="t62" class="pln"><span class="n"><a href="#t62">62</a></span><span class="t">            <span class="nam">self</span><span class="op">.</span><span class="nam">service_name</span><span class="op">)</span>&nbsp;</span><span class="r"></span></p>
    <p id="t63" class="run"><span class="n"><a href="#t63">63</a></span><span class="t">        <span class="key">if</span> <span class="str">"vnfs"</span> <span class="key">in</span> <span class="nam">service_params</span><span class="op">:</span>&nbsp;</span><span class="r"></span></p>
    <p id="t64" class="run"><span class="n"><a href="#t64">64</a></span><span class="t">            <span class="key">for</span> <span class="nam">idx</span><span class="op">,</span> <span class="nam">vnf</span> <span class="key">in</span> <span class="nam">enumerate</span><span class="op">(</span><span class="nam">service_params</span><span class="op">[</span><span class="str">'vnfs'</span><span class="op">]</span><span class="op">)</span><span class="op">:</span>&nbsp;</span><span class="r"></span></p>
    <p id="t65" class="run"><span class="n"><a href="#t65">65</a></span><span class="t">                <span class="nam">vf</span> <span class="op">=</span> <span class="nam">Vf</span><span class="op">(</span><span class="nam">name</span><span class="op">=</span><span class="nam">vnf</span><span class="op">[</span><span class="str">'vnf_name'</span><span class="op">]</span> <span class="op">+</span> <span class="str">"_VF"</span><span class="op">,</span> <span class="nam">vsp</span><span class="op">=</span><span class="nam">self</span><span class="op">.</span><span class="nam">vsp_list</span><span class="op">[</span><span class="nam">idx</span><span class="op">]</span><span class="op">)</span>&nbsp;</span><span class="r"></span></p>
    <p id="t66" class="run"><span class="n"><a href="#t66">66</a></span><span class="t">                <span class="nam">vf</span><span class="op">.</span><span class="nam">onboard</span><span class="op">(</span><span class="op">)</span>&nbsp;</span><span class="r"></span></p>
    <p id="t67" class="run"><span class="n"><a href="#t67">67</a></span><span class="t">                <span class="nam">self</span><span class="op">.</span><span class="nam">vf_list</span><span class="op">.</span><span class="nam">append</span><span class="op">(</span><span class="nam">copy</span><span class="op">.</span><span class="nam">copy</span><span class="op">(</span><span class="nam">vf</span><span class="op">)</span><span class="op">)</span>&nbsp;</span><span class="r"></span></p>
    <p id="t68" class="pln"><span class="n"><a href="#t68">68</a></span><span class="t">&nbsp;</span><span class="r"></span></p>
    <p id="t69" class="run"><span class="n"><a href="#t69">69</a></span><span class="t">    <span class="key">def</span> <span class="nam">onboard_resources</span><span class="op">(</span><span class="nam">self</span><span class="op">)</span><span class="op">:</span>&nbsp;</span><span class="r"></span></p>
    <p id="t70" class="pln"><span class="n"><a href="#t70">70</a></span><span class="t">        <span class="com"># Onboarding Create SDC resources</span>&nbsp;</span><span class="r"></span></p>
    <p id="t71" class="run"><span class="n"><a href="#t71">71</a></span><span class="t">        <span class="nam">vendor</span> <span class="op">=</span> <span class="nam">Vendor</span><span class="op">(</span><span class="nam">name</span><span class="op">=</span><span class="nam">settings</span><span class="op">.</span><span class="nam">VENDOR_NAME</span><span class="op">)</span>&nbsp;</span><span class="r"></span></p>
    <p id="t72" class="run"><span class="n"><a href="#t72">72</a></span><span class="t">        <span class="nam">vendor</span><span class="op">.</span><span class="nam">onboard</span><span class="op">(</span><span class="op">)</span>&nbsp;</span><span class="r"></span></p>
    <p id="t73" class="run"><span class="n"><a href="#t73">73</a></span><span class="t">        <span class="nam">self</span><span class="op">.</span><span class="nam">onboard_vsp</span><span class="op">(</span><span class="nam">vendor</span><span class="op">)</span>&nbsp;</span><span class="r"></span></p>
    <p id="t74" class="run"><span class="n"><a href="#t74">74</a></span><span class="t">        <span class="nam">self</span><span class="op">.</span><span class="nam">onboard_vf</span><span class="op">(</span><span class="op">)</span>&nbsp;</span><span class="r"></span></p>
    <p id="t75" class="run"><span class="n"><a href="#t75">75</a></span><span class="t">        <span class="nam">service</span> <span class="op">=</span> <span class="nam">Service</span><span class="op">(</span><span class="nam">name</span><span class="op">=</span><span class="nam">self</span><span class="op">.</span><span class="nam">service_name</span><span class="op">,</span> <span class="nam">resources</span><span class="op">=</span><span class="nam">self</span><span class="op">.</span><span class="nam">vf_list</span><span class="op">)</span>&nbsp;</span><span class="r"></span></p>
    <p id="t76" class="run"><span class="n"><a href="#t76">76</a></span><span class="t">        <span class="nam">service</span><span class="op">.</span><span class="nam">onboard</span><span class="op">(</span><span class="op">)</span>&nbsp;</span><span class="r"></span></p>
    <p id="t77" class="run"><span class="n"><a href="#t77">77</a></span><span class="t">        <span class="key">return</span> <span class="nam">service</span>&nbsp;</span><span class="r"></span></p>
</div>
<div id="footer">
    <div class="content">
        <p>
            <a class="nav" href="index.html">&#xab; index</a> &nbsp; &nbsp; <a class="nav" href="https://coverage.readthedocs.io">coverage.py v5.1</a>,
            created at 2020-07-17 14:15
        </p>
    </div>
</div>
</body>
</html>
